Bug Hunting Session
Bug 125394 - CRASH: closing mail merge dialog
Summary: CRASH: closing mail merge dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-05-20 14:32 UTC by Xisco Faulí
Modified: 2019-05-21 14:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-20 14:32:34 UTC
Steps to reproduce:
1. Open Writer
2. Tools - Mail Merge - Insert Address Block - Select Address List
3. Close Select Address List dialog
4. Close Mail Merge dialog

-> Crash

reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 9c7fac47aacb0877c7d212217089a680400c1377
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-20 14:33:36 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=644ca26af744aec1e66c8dd4199d1228e0f780be

author	Caolán McNamara <caolanm@redhat.com>	2019-05-14 21:50:36 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-05-17 10:59:44 +0200
commit	644ca26af744aec1e66c8dd4199d1228e0f780be (patch)
tree	2a364e77b595a65b9f29ce076b5b9352c9ccdbea
parent	dc17f247daeb281dda531ff335873d563db5b653 (diff)
allow closing welded dialogs to be cancelled

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-05-21 07:55:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c1816feaa9c6ab30f01e14f621402307543c82ac%5E%21

Resolves: tdf#125394 consider unwelded dialogs

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-05-21 14:49:29 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: a2da909adfe07d5a093485cc28283f5c100946ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!